.core12-video-host {
    position: relative;
}

.core12-video-controls {
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 100;
    margin: 40px;
    pointer-events: auto;
}

.core12-video-toggle {
    width: 32px;
    height: 32px;
    padding: 0;
    border: 2px solid rgba(255, 255, 255, 0.5);
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.2);
    color: white;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.core12-video-toggle:hover,
.core12-video-toggle:focus-visible {
    border-color: #d5001c;
    outline: none;
}

.core12-video-toggle p-icon {
    pointer-events: none;
}

@media (max-width: 767px) {
    .core12-video-toggle {
        width: 50px;
        height: 50px;
    }
}
